ELF_GETBASE(3)

NAME
elf_getbase - get the base offset for an object file

SYNOPSIS
libelf
#include <libelf.h>
off_t
elf_getbase(Elf *elf);

DESCRIPTION
Function elf_getbase() returns the file offset to the first byte of the object referenced by ELF descriptor elf.

For descriptors referencing members of archives, the returned offset is the file offset of the member in its containing archive. For descriptors to regular objects, the returned offset is (vacuously) zero.

RETURN VALUES
Function elf_getbase() returns a valid file offset if successful, or (off_t) -1 in case of an error.

ERRORS
Function elf_getbase() may fail with the following errors:

[ELF_E_ARGUMENT]
    Argument elf was NULL.

SEE ALSO
elf(3), elf_getarhdr(3), elf_getident(3), elf_rawfile(3), gelf(3)